
 LinHES - Feature # 574: update kernel package to 2.6.32 (when it gets released) - speed increases in 
multicpu scheduling

Status: Closed Priority: Normal
Author: graysky Category: Kernel
Created: 11/09/2009 Assignee: cecil
Updated: 12/12/2010 Due date: 01/10/2011
Description: When 2.6.32 gets released (currently 2.6.32-rc6), please add it to LinHES.  There have been some significant 

improvements in the scheduler as it applies to multi-core CPUs.  These are adventagous to users who 
transcode their mpg-2 to x264.  In some cases, increases of 80 % have been reported.  I have seen an 
increase in over 50 % on my X3360 encoding x264.

Example encoding a 1280x720, 60 fps MPEG-2 clip under various kernels on my Arch box:

Linux (kernel 2.6.31.5): avg 15.99 fps
Linux (kernel 2.6.32-rc6): avg 24.45 fps
Linux (kernel 2.6.31-bfs): avg 24.49 fps

53 % faster w/ the new kernel which is on par with Con Kolivas' brain fuck scheduler (bfs)! Also, CPU usage 
while encoding goes up to 99-100 % on all four cores now. Before it would rest around 70-80 %.

References and related discussions:

http://x264dev.multimedia.cx/?p=185

http://bbs.archlinux.org/viewtopic.php?id=83957

Associated revisions
11/06/2010 11:41 am - jams
kernel26: update to 2.6.36
closes #574
ref #647

11/06/2010 11:42 am - jams
lirc: update to 0.8.7
ref #574
ref #647
closes #599

11/06/2010 11:42 am - jams
lirc-utils: update to 0.8.7
ref #574
ref #647
ref #599

11/06/2010 11:44 am - jams
madwifi: recompile and update for new kernel

ref #574
ref #647

11/06/2010 11:45 am - jams
ndiswrapper: recompile for new kernel .36
ref #574
ref #647

11/06/2010 11:45 am - jams
nvidia: update  260.19.12

ref #574
ref #647

11/06/2010 11:45 am - jams
nvidia-utils: update to 260.19.12
ref #574
ref #647

11/06/2010 11:47 am - jams
tiacx: update and recompile for kernel .36
ref #574
ref #647

History
11/25/2009 04:49 pm - cecil
After 6.02 is released, we'll be working on 6.03.  6.03 will be a major upgrade.  Not only will the kernel be upgraded but so will X and other items.

12/04/2009 06:48 am - stonewalker
I know not Flyspray. John, do you have the ability to switch the "Due in Version" to 6.03.00 since you opened it?

12/04/2009 01:01 pm - graysky
@Don - nope, I think only the admins can do that.  BTW, 2.6.32 went final yesterday.

http://kernel.org

12/09/2009 11:17 am - stonewalker
Greatly improved encoding & transcoding is a good thing.
However, I don't see the BFS added to the mainline kernel tree. This would be another 'out of tree' patch to manage for LinHES. How many does 
LinHES carry already? Is it a big deal to add another one, or is it not?

04/20/2010 12:54 pm - brfransen
- Target version set to 7.1

- Due date set to 08/08/2010

- Category set to Kernel

06/08/2010 11:25 am - brfransen
- Tracker changed from Bug to Feature

06/13/2010 11:05 pm - dfdario
Please consider to apply theese patches to the kernel:
    https://bugs.launchpad.net/mythbuntu/+bug/439163
and
    http://bugs.freedesktop.org/show_bug.cgi?id=23916
10/11/2010 07:17 am - dfdario
Merely keep you informed about evolutions.
As reported in site [[https://bugs.launchpad.net/mythbuntu/+bug/439163]] bug seems solved in 2.6.35

10/11/2010 07:57 am - dfdario
Removed because duplicate

10/11/2010 08:06 am - dfdario
Removed because duplicate

11/06/2010 11:50 am - jams
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:"905a9563dfab9e88ce41227d60e7099701c8a312".

04/30/2025 3/3


